/***********************************************************************
 *              AT25SPI.H
 ***********************************************************************/

#ifndef _AT25SPI_H
#define _AT25SPI_H

#ifdef __cplusplus
extern "C"{
#endif

/**************************************************************
 *			Constants
 **************************************************************/
typedef unsigned char   BYTE;
typedef unsigned int    WORD;

typedef unsigned int	BOOL;

#define PRIVATE static
#define PUBLIC

#define TRUE	1
#define FALSE	0

/***************************************************************
 *          Structures
 ***************************************************************/

/**************************************************************
 *          Prototypes
 **************************************************************/
BOOL EE_init(BYTE page_mode);
BYTE EE_read_byte(WORD adr);
void EE_read(WORD adr, BYTE *bf, WORD len);
void EE_write_byte(WORD adr, BYTE data);
void EE_write(WORD adr, BYTE *bf, WORD len);


#ifdef __cplusplus
}
#endif

#endif /* _AT25SPI_H */

